#!/bin/sh

#if [ $# -ne 1 ] ; then
#   echo "usage: $0 version number"
#   exit 1
#fi

VERSION=`awk '$2 == "-" {print $1}' <ChangeLog |head -1`

rm -rf rpms
mkdir rpms

cp "xine-$VERSION.tar.gz" /usr/src/redhat/SOURCES

echo "*****************************************************"
echo
echo "building rpm for xine $VERSION"
echo 
echo "current architecture:pentiumpro"
echo "rpms will be copied to ./rpms directory"
echo
echo "*****************************************************"

export XINE_BUILD=i686-pc-linux-gnu

rpm -ba xine.spec

cp "/usr/src/redhat/SRPMS/xine-$VERSION-0.src.rpm" rpms
mv "/usr/src/redhat/RPMS/i386/xine-$VERSION-0.i386.rpm" "rpms/xine-$VERSION-0.i686.rpm"

echo "*****************************************************"
echo
echo "building rpm for xine $VERSION"
echo 
echo "current architecture:k6"
echo "rpms will be copied to ./rpms directory"
echo
echo "*****************************************************"

export XINE_BUILD=k6-pc-linux-gnu

rpm -ba xine.spec

mv "/usr/src/redhat/RPMS/i386/xine-$VERSION-0.i386.rpm" "rpms/xine-$VERSION-0.k6.rpm"

echo "*****************************************************"
echo
echo "building rpm for xine $VERSION"
echo 
echo "current architecture:pentium"
echo "rpms will be copied to ./rpms directory"
echo
echo "*****************************************************"

export XINE_BUILD=i586-pc-linux-gnu

rpm -ba xine.spec

mv "/usr/src/redhat/RPMS/i386/xine-$VERSION-0.i386.rpm" "rpms/xine-$VERSION-0.i586.rpm"





